nativeInstaller

Understand system requirements for native installers

To install a Bitnami stack using a native installer, you will need:

  • Intel x86 or compatible processor
  • Minimum of 512 MB RAM for PHP and Python applications and 1024 MB RAM for Ruby and Java applications.
  • Minimum of 150 MB hard drive space
  • TCP/IP protocol support
  • One of the following compatible operating systems:
    • Linux
    • Windows: Windows Server 2008, Windows Server 2012, Vista, Windows 7, Windows 8 or Windows 10. Some stacks also require the .NET Framework v3.5.
    • OS X: OS X 10.10 or later